[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFS: php-net-ldap2 (updated package)

Hello ;-)

On Tue, Aug 04, 2009 at 12:39:39PM +0200, Benoit Mortier wrote:
> I am looking for a sponsor for the new version 2.0.5-1
> of my package "php-net-ldap2".
> [...]
> http://mentors.debian.net/debian/pool/main/p/php-net-ldap2/php-net-ldap2_2.0.5-1.dsc
> I would be glad if someone uploaded this package for me.

Some comments:

- Why "updated package" in title. Isn't it a NEW package?
- You must add your ITP bug number in changelog
- You must use the same mail address in control and changelog
- You must improve copyright file with adding all authors/mails
  from all files in module
- You should package the very new upstream version (2.0.6)
- You should add Build-Depends-Indep on php-pear for source package
- You should add Depends on php-pear (>= 5.2.0-8) for binary package
- You should add Depends on ${misc:Depends} (see
  debhelper-but-no-misc-depends lintian warning)
- You should add Homepage: field
- You should begin short description with "PHP PEAR module
  for..." (see http://wiki.debian.org/GregoryColpart/PearPolicyDraft)
- You should say who is maintaining your package in copyright
- You could join PHP Alioth team to store your package in
  collaborative VCS repository

If all is done, I'm interested for sponsoring you.

Gregory Colpart <reg@evolix.fr>  GnuPG:1024D/C1027A0E
Evolix - Informatique et Logiciels Libres http://www.evolix.fr/

Reply to: